/**
*	Metamaxim ModelScope
*	Copyright 2003 Metamaxim Ltd
*/

package ABC1;

import com.metamaxim.modelscope.callbacks.*;

public class Customer extends Behaviour {

	public int getOutstanding() {
		// Calculates the total of all placed but unpaid Orders for the Customer
		int osOrders = 0;
		Instance[] myOrders = this.selectByRef("Order","Customer");
		for (int i = 0; i < myOrders.length; i++) {
			if  (!myOrders[i].getState("Order").equals("Cancelled") &&
			     !myOrders[i].getState("Order").equals("Paid"))
				osOrders += myOrders[i].getCurrency("Order Total");
			}
		return osOrders;
	}

}


